﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using rf60Xsdk;
namespace RF60X_PARAMS
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(rf60XsdkNet.sdk_init());
            var config = new config_base_information_rf60x_net_t();

            config.type = SCANNER_TYPE_NET.RF60x;
            config.baud_rate = BAUR_RATE_UART_NET.Baud9600;
            config.network_address = 1;
            config.serial_port_number = "COM4";
            config.protocol = PROTOCOLS_NET.RIFTEK_BIN_PROTOCOL;

            rf60XsdkNet rf60Xsdk = new rf60XsdkNet(config);

            Console.WriteLine(rf60Xsdk.open_port_uart());

            rf60Xsdk.change_config_port_uart();

            Console.WriteLine(rf60Xsdk.read_params_uart());

            Console.WriteLine("The current value of the parameter: {0}", rf60Xsdk.get_param(PARAM_NAME_KEY_NET.ZERO_BYTE_OF_GATEWAY_IP_ADDRESS));

            Console.WriteLine(rf60Xsdk.set_param(30));

            rf60Xsdk.write_params_uart();

            rf60Xsdk.close_port_uart();

        }
    }
}
