﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using rf60Xsdk;

namespace RF60X_UDP_Measure
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(rf60XsdkNet.sdk_init());
            var config = new config_base_information_rf60x_net_t();
            udp_measure_net_t value = new udp_measure_net_t();

            config.network_address = 1;
            config.recv_ip_addrs = "192.168.1.2";
            config.serial_port_number = "";


            rf60XsdkNet rf60Xsdk = new rf60XsdkNet(config);
            value.intiliazeArrays(168, 168);
            Console.WriteLine("Connecting the sensor via Ethernet: {0}", rf60Xsdk.connect());

            for (int i = 0; i < 10; ++i)
            {

                if (rf60Xsdk.get_measure_udp(ref value))
                    Console.WriteLine("  value: {0}", value.Array[0].value, "   status: {1} ", value.Array[0].status);
            }

            rf60Xsdk.disconnect();


        }
    }
}
